Subject: Re: bug#74863: 31.0.50; Problems with play-sound on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Dec 2024 20:48:59 +0200

> Date: Sun, 15 Dec 2024 19:33:35 +0100
> Cc: [email-masked]
> From: Cecilio Pardo <[email-masked]>
> 
> >> +  if (in_memory)
> >> +    i_result = !PlaySound (psz_file_or_data, NULL, SND_MEMORY);
> > 
> > AFAIU, the documentation seems to say that the string passed as the
> > first argument to PlaySound is limited to 256 characters (i.e. bytes)?
> > If so, how do we play longer sounds?
> 
> I think this limitation applies only when the argument points to a 
> string, and not when using SND_MEMORY, which is documented with: "The 
> pszSound parameter points to a sound loaded in memory."
> 
> It's true the documentation doesn't say so, and I haven't found any 
> clarification by Microsoft, but SND_MEMORY would be useless otherwise. 
> Also I see normal usage searching the internet.

So there are no limitations whatsoever on the length of that string?